Bug 45263 - Missing meta tag for UTF-8
Summary: Missing meta tag for UTF-8
Status: CLOSED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Webmaster
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-15 21:33 UTC by Nicolas Goutte
Modified: 2002-09-30 17:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Goutte 2002-07-15 21:25:25 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           www.kde.org
Version:           KDE 3.0.2 
Severity:          normal
Installed from:    Compiled From Sources
Compiler:          gcc 2.95.2
OS:                Linux
OS/Compiler notes: Not Specified

All web pages generates for KDE with the PHP system are missing the <meta> tag declaring the charset. 

However this is important:
- it is asked in the HTML compatibily for XHTML
- (non-XHTML) HTML browser including Konqueror/KHTML (3.0.2) cannot use the encoding declared in the XML declaration ( <?xml version="1.0" encoding="UTF-8" ?>)

So please add a (in <head>)
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

Have a nice day/evening/night!

(Submitted via bugs.kde.org)
Comment 1 Nicolas Goutte 2002-07-16 12:27:04 UTC
--------------Boundary-00=_49DCLN880JPNAU8LACCS
Content-Type: text/plain;
  charset="us-ascii"
Content-Transfer-Encoding: 8bit

The attached patch is for the file www/koffice/templates/templ_begin.html

It declares correctly the UTF-8 encoding according to the HTML compactibility 
guidelines of XHTML 1.0.

Can someone commit it please? Thank you in advance!

Reason: non-XHTML-aware HTML user agents like Konqueror/KHTML (at least 
version 3.0.2) cannot read the XML encoding and therefore do not know in 
which encoding the file is. So the old HTML way of telling the encoding must 
be in the file too.

(That is KDE Bug #45263. This patch corrects it for the KOffice web site.)

Have a nice day/evening/night!


--------------Boundary-00=_49DCLN880JPNAU8LACCS
Content-Type: text/plain;
  charset="us-ascii";
  name="patch_templ_begin_html.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="patch_templ_begin_html.txt"

--- templ-begin.html.origFri Mar  1 17:45:53 2002
+++ templ-begin.htmlTue Jul 16 14:25:01 2002
@@ -186 +187 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
 <head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title><?php echo $title;?></title>
 <link rel="stylesheet" href="/koffice.css" type="text/css" />
 <script language="javascript" type="text/javascript">

--------------Boundary-00=_49DCLN880JPNAU8LACCS--
Comment 2 Simon Hausmann 2002-09-15 19:03:33 UTC
This patch is already in the CVS repository, see revision 1.27 of templ_begin.html)
Comment 3 Simon Hausmann 2002-09-15 19:58:42 UTC
Sorry, I missed the word 'all' :) 
Comment 4 Daniel Naber 2002-09-29 21:10:33 UTC
Mhh, the patch has been applied. Are there still single pages where there's no 
meta tag? If there are, please re-open again :-) 
Comment 5 Nicolas Goutte 2002-09-29 22:23:56 UTC
The patch has only be applied for KOffice. The other web sites have still the 
bug, starting with http://www.kde.org for example. (I have not checked the 
others.) 
Comment 6 Nicolas Goutte 2002-09-29 22:27:58 UTC
I have just noticed that for www.kde.org it is in ISO-8859-1. 
 
So the meta tag is still missing to be correct for HTML-compactible XHTML (but 
of course not a UTF-8 one.) 
 
Curiously http://www.kde.org/mailinglists.html seems to be correct. 
 
Comment 7 Nicolas Goutte 2002-09-29 23:37:03 UTC
Sorry, I felt into the silly trap that the web site was not updated from CVS 
yet. 
Comment 8 Nicolas Goutte 2002-09-30 17:31:15 UTC
Thank you!